<app-loading *ngIf='isLoading'></app-loading>
<div class='app-card'>
  <div class='container-fluid' nz-col nzSpan='24'>
    <div class='form'>
      <div nz-row class='form-row'>
        <div nz-col nzSpan='6' class='form-row__left'>
          <button nz-button nzType='primary' class='button-header button-fist'
                  [ngClass]="!isList ? '' : 'active'"
                  (click)='chooseTab()'>{{'system.usersConfig.label.attributes.information' | translate}}</button>
          <button nz-button nzType='primary' class='button-header'
                  [ngClass]="isList ? '' : 'active'"
                  (click)='chooseTab()'>{{'system.usersConfig.label.attributes.rolesOfUser' | translate}}</button>
        </div>
      </div>
    </div>
  </div>
  <form nz-form [formGroup]='form' *ngIf='!isList'>
    <div class='app-row' nz-row [nzGutter]='[30, 0]'>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='username'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.username' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.username' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='fullName'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.fullName' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.fullName' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='email'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.email' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.email' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='phoneNumber'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.phoneNumber' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.phoneNumber' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='orgName'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.orgName' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.orgName' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='3'>
        <label class='input__label'>{{'system.usersConfig.label.attributes.isLock' | translate}}</label>
        <div class='m-t-sm' style='width: 100%; margin-top: 0.3rem;'>
          <nz-switch formControlName='isLocked' [nzCheckedChildren]='checkedTemplate'
                     [nzUnCheckedChildren]='unCheckedTemplate'>
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs='24' nzLg='9'>
        <mb-input-text formControlName='reasonLock'
                       mbPlaceholderText="--{{'system.usersConfig.label.attributes.reasonLocked' | translate}}--"
                       mbLabelText="{{'system.usersConfig.label.attributes.reasonLocked' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <label class='input__label'>{{'system.usersConfig.label.attributes.flagStatus' | translate}}</label>
        <div class='m-t-sm' style='width: 100%; margin-top: 0.3rem;'>
          <nz-switch formControlName='flagStatus' [nzCheckedChildren]='checkedTemplate'
                     [nzUnCheckedChildren]='unCheckedTemplate'>
          </nz-switch>

        </div>
      </div>
    </div>
  </form>
  <ng-template #checkedTemplate><em nz-icon nzType='check'></em></ng-template>
  <ng-template #unCheckedTemplate><em nz-icon nzType='close'></em></ng-template>
  <div *ngIf='isList'>
    <div class='container-fluid' nz-col nzSpan='24'>
      <div class='form'>
        <div nz-row class='form-row'>
          <div nz-col nzSm='12' nzLg='7' class='form-row__left'>
            <input nz-input class='form-row__input' name='' placeholder="{{'common.label.search' | translate}}"
                   [(ngModel)]='params.search' trim (keyup.enter)='searchRole(undefined)' />
            <mb-button class='button-search' mbButtonType='NO_BORDER' mbButtonSize='VERY_LARGE'
                       (click)='searchRole(undefined)'
                       mbButtonAvailableStyle='PRIMARY' mbPrefixIcon='search'
                       nzTooltipTitle="{{'common.label.search' | translate}}" nzTooltipPlacement='bottom'
                       nz-tooltip></mb-button>
          </div>
          <div nz-col nzSpan='7' class='form-row__right'>
            <mb-button mbButtonType='NO_BORDER' mbButtonSize='LARGE' (click)='doSave()' mbButtonAvailableStyle='PRIMARY'
                       mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
          </div>
        </div>
      </div>
    </div>
    <div class='data-table' oncontextmenu='return false;'>
      <nz-table #basicTable [nzData]='listRole' [nzShowPagination]='false'
                [nzScroll]="listRole.length > 7 ? { y: '450px' } : {}" [nzPageSize]='pageable.size' nzSize='small'>
        <thead>
        <tr class='table-header'>
          <th scope='col' class='text-nowrap text-center' nzWidth='40px' nzLeft='0'></th>
          <th scope='col' class='text-nowrap text-center' nzWidth='50px'
              nzLeft='40px'>{{'system.table.stt' | translate}}</th>
          <th scope='col' class='text-nowrap'>{{'system.role.label.table.code' | translate}}</th>
          <th scope='col' class='text-nowrap'>{{'system.role.label.table.name' | translate}}</th>
        </tr>
        </thead>
        <tbody>
        <tr class='row-table' *ngFor='let data of basicTable.data ;let i = index; trackBy: trackByFn'>
          <td class='text-center' nzWidth='40px' nzLeft='0'>
            <label nz-checkbox [nzDisabled]='!objFunction.edit' [nzChecked]='isChecked(data)'
                   (nzCheckedChange)='onCheckboxRoleFn(data, $event)'> </label>
          </td>
          <td class='text-center' nzWidth='50px'
              nzLeft='40px'>{{validateService.getRowIndex(i, pageable.currentPage, pageable.size)}}</td>
          <td>{{ data.name }}</td>
          <td>{{ data.description }}</td>
        </tr>
        </tbody>
      </nz-table>
    </div>
    <div class='pagination' *ngIf='listRole && listRole.length > 0'>
      <div class='pagination__table-info'>
        <img alt='idea.svg' class='pagination__table-info--icon' src='assets/images/icon/idea.svg' />
        <span class='pagination__table-info--text'>Tìm thấy {{ pageable.totalElements }} kết quả, hiển thị từ
          {{ pageable.size * (pageable.currentPage - 1) + 1 }} đến
          {{ pageable.size * (pageable.currentPage - 1) + pageable.numberOfElements }}</span>
      </div>
      <nz-pagination [(nzPageIndex)]='pageable && pageable.currentPage' [nzTotal]='pageable.totalElements'
                     [nzPageSize]='pageable.size' (nzPageIndexChange)='searchRole($event)' class='pagination__icon'>
      </nz-pagination>
    </div>
  </div>
</div>
